# Unlock FPS batch file for An Anime Game Launcher.

This is my own modification of the batch file adapted from [this batch file](https://aagl.launcher.moe/dl/unlockfps.bat), and the ``launcher.bat`` found in [this repo][Krock/dawn], where the former is a modification of the latter.

AAGL was updated to use a more recent version of [this][fps-unlock], so this batch file is adapted for it.

# Installation and use

To install this, put the unlockfps.bat file into the root of your game directory, where ``launcher.bat`` is also found.

The game root directory is found in your wineprefix:
```
WINEPREFIX/drive_c/Program Files/GAMEROOT
```
Substitute WINEPREFIX and GAMEROOT with your AAGL installation's wine prefix, and your game's root directory accordingly.

Example wineprefix location:
```
~/.local/share/anime-game-launcher/game
```

## Related projects

[An Anime Game Launcher][AAGL]

[Krock/dawn patch][Krock/dawn]

[FPS unlocker][fps-unlock]

[AAGL]: https://gitlab.com/an-anime-team/an-anime-game-launcher "An Anime Game Launcher"
[Krock/dawn]: https://notabug.org/Krock/dawn.git "Krown/dawn patch"
[fps-unlock]: https://github.com/34736384/genshin-fps-unlock "FPS unlocker"
